html {
    overflow-y: scroll;
}

html, body {
    font-size: medium;
    margin: 0;
    height: 100%;
}

.top-buffer-1 {
    margin-top: 1px;
}

.top-buffer-3 {
    margin-top: 3px;
}

.top-buffer-5 {
    margin-top: 5px;
}

.top-buffer-10 {
    margin-top: 10px;
}

.top-buffer-15 {
    margin-top: 15px;
}

.top-buffer-25 {
    margin-top: 25px;
}

.bottom-buffer-1 {
    margin-bottom: 1px;
}

.bottom-buffer-3 {
    margin-bottom: 3px;
}

.bottom-buffer-5 {
    margin-bottom: 5px;
}

.bottom-buffer-10 {
    margin-bottom: 10px;
}

.bottom-buffer-15 {
    margin-bottom: 15px;
}

.bottom-buffer-25 {
    margin-bottom: 25px;
}

.left-buffer-1 {
    margin-left: 1px;
}

.left-buffer-3 {
    margin-left: 3px;
}

.left-buffer-5 {
    margin-left: 5px;
}

.left-buffer-10 {
    margin-left: 10px;
}

.left-buffer-15 {
    margin-left: 15px;
}

.left-buffer-25 {
    margin-left: 25px;
}

.right-buffer-1 {
    margin-right: 1px;
}

.right-buffer-3 {
    margin-right: 3px;
}

.right-buffer-5 {
    margin-right: 5px;
}

.right-buffer-10 {
    margin-right: 10px;
}

.right-buffer-15 {
    margin-right: 15px;
}

.right-buffer-25 {
    margin-right: 25px;
}

.text-bold, label {
    font-weight: bold;
}

.text-center {
    text-align: center;
}

div.no-padding-horizontal {
    padding-left: 0;
    padding-right: 0;
}

.main-menu-bar {
    z-index: 99;
}

    .main-menu-bar .k-menu:not(.k-context-menu) > .k-menu-item, .main-menu-bar .main-menu-text {
        color: #fff;
        font-size: x-large;
    }

    .main-menu-bar .main-menu-text {
        color: #fff;
        font-size: large;
    }

.k-button.k-success {
    border-color: #37b400;
    color: #FFF;
    background-color: #37b400;
    background-image: linear-gradient(#37b400, #37b400)
}

.k-button.k-error {
    border-color: #db4240;
    color: #FFF;
    background-color: #db4240;
    background-image: linear-gradient(#db4240, #db4240)
}

.k-button.k-warning {
    border-color: #ffe44d;
    color: #000;
    background-color: #ffe44d;
    background-image: linear-gradient(#ffe44d, #ffe44d)
}

.validation-message {
    color: #db4240;
    font-weight: bold;
}

.k-textarea.form-control {
    width: 100%
}

.full-width {
    width: 100% !important;
}

.modified.invalid {
    border: 1px solid #db4240;
}

.default-notification .k-notification-container .k-notification-wrap {
    font-size: xx-large;
}

.default-notification {
    z-index: 999999 !important;
}

.authentication-viewer {
    font-size: x-large;
}

.primary-detail-container {
    border: 2px solid #13688c;
    border-radius: 4px;
    padding: 5px 20px;
}

.secondary-detail-container {
    border: 2px solid #daecf4;
    border-radius: 4px;
    padding: 5px 10px;
    margin: 5px;
}

.loading-panel-wrapper.is-loading {
    position: relative;
}

    .loading-panel-wrapper.is-loading .loading-panel-overlay {
        background: white;
        position: absolute;
        width: 100%;
        height: 100%;
        opacity: 1;
        text-align: center;
        align-items: center;
        min-height: 200px;
        padding-top: 100px;
        z-index: 999;
    }

.primary-header {
    border: 2px solid #13688c;
    background-color: #daecf4;
}

.k-window {
    border: 2px solid rgba(0,0,0,0.3);
}

.k-window-titlebar.k-header {
    border: 2px solid rgba(0,0,0,1);
    background-color: #404040;
    color: white;
}

.window-content-overflow {
    max-height: 80vh;
    min-width: 70vw;
    overflow-y: auto;
    padding: 10px;
}

.k-textbox:disabled, .k-textbox[disabled], .k-textarea:disabled, .k-textarea[disabled], .k-numerictextbox .k-numeric-wrap.k-state-disabled {
    opacity: .8;
    /*border: 1px solid rgba(19, 104, 140, .3);*/
    border: 1px solid rgba(64, 64, 64, .3);
    background-color: rgba(64, 64, 64, .04);
}

    .k-numerictextbox .k-numeric-wrap.k-state-disabled .k-select, .k-datepicker.k-state-disabled .k-select {
        background-color: rgba(64, 64, 64, .1);
        background-image: none;
    }

.k-dropdown.k-state-disabled .k-dropdown-wrap {
    border: 1px solid rgba(64, 64, 64, .3);
    background-color: rgba(64, 64, 64, .04);
    background-image: none;
}

.k-datepicker.k-state-disabled .k-picker-wrap {
    border: 1px solid rgba(64, 64, 64, .3);
}

    .k-datepicker.k-state-disabled .k-picker-wrap .k-dateinput-wrap {
        background-color: rgba(64, 64, 64, .04);
        background-image: none;
    }

.k-datepicker.k-state-disabled, .k-dropdown.k-state-disabled {
    opacity: .8;
}

.k-textbox, .k-textarea, .k-numerictextbox .k-numeric-wrap, .k-datepicker .k-picker-wrap {
    border: 1px solid rgba(19, 104, 140, .5);
}

.no-overflow-table .k-grid-content {
    overflow-y: hidden;
}

.no-overflow-table .k-grid-header, .no-overflow-table .k-grid-footer {
    padding: 0;
}

.no-padding-table th, .no-padding-table td {
    padding: 2px;
}

.no-padding-horizontal-table th, .no-padding-horizontal-table td {
    padding-left: 2px;
    padding-right: 2px;
}

.money-textbox, .money-textbox input {
    text-align: right;
}

.k-numerictextbox .k-numeric-wrap .k-select, .k-datepicker .k-select {
    font-size: xx-small;
}

.k-widget, .k-textbox, .k-textarea {
    font-size: medium;
}

.k-grid-container .k-dropdown .k-dropdown-wrap {
    background-color: #fff;
    background-image: none;
}

.form-container {
    padding: 10px;
}

.menu-container.closed .k-tabstrip-left > .k-tabstrip-items-wrapper {
    margin-left: -175px;
}

.menu-container .k-tabstrip-left > .k-tabstrip-items-wrapper {
    transition: margin-left .5s;
}

    .menu-container .k-tabstrip-left > .k-tabstrip-items-wrapper > .k-tabstrip-items {
        width: 145px;
    }

.menu-button-div {
    margin-left: -35px;
}

.k-tabstrip > .k-content, .k-tabstrip-items-wrapper, .k-tabstrip-items-wrapper .k-item.k-state-active, .k-tabstrip-items-wrapper .k-item.k-active {
    border-color: rgba(0,0,0,0.3);
}

.mtag-input, .mtag-input-telerik {
    padding: 2px;
    margin: 2px;
}

    .mtag-input input, .mtag-input select, .mtag-input textarea, .mtag-input-telerik .k-multiselect .k-multiselect-wrap {
        border-radius: 2px;
        width: 100%;
        padding: 0.2rem;
        margin: 0;
        box-sizing: border-box;
        height: 1.5rem;
        border: 1px solid rgba(19, 104, 140, .5);
        color: rgba(19, 104, 140, 1);
        background-color: #fff;
    }

    .mtag-input-telerik .k-multiselect .k-multiselect-wrap {
        height: 1.8rem;
        padding: 1px;
    }

        .mtag-input-telerik .k-multiselect-wrap span.k-searchbar, .mtag-input-telerik .k-multiselect-wrap span.k-clear-value, .mtag-input-telerik .k-multiselect .k-multiselect-wrap ul, .mtag-input-telerik .k-multiselect .k-multiselect-wrap ul li.k-button, .mtag-input-telerik .k-multiselect-wrap .k-searchbar input.k-input {
            height: 1.5rem;
            margin: 0;
            padding: 0 .2rem;
            min-height: inherit;
        }

            .mtag-input-telerik .k-multiselect .k-multiselect-wrap ul li.k-button {
                margin: 0 2px;
            }

input.k-checkbox {
    border: 1px solid rgba(19, 104, 140, .8);
}

    .mtag-input input:disabled, .mtag-input select:disabled, .mtag-input textarea:disabled, input.k-checkbox:disabled, .mtag-input-telerik .k-multiselect.k-state-disabled .k-multiselect-wrap {
        opacity: 1;
        border: 1px solid rgba(64, 64, 64, .3);
        background-color: rgba(64, 64, 64, .04);
    }

        .mtag-input-telerik .k-multiselect.k-state-disabled .k-multiselect-wrap ul.k-reset li.k-button {
            background-color: rgba(64, 64, 64, .12);
            background-image: none;
        }

            .mtag-input-telerik .k-multiselect.k-state-disabled .k-multiselect-wrap ul.k-reset li.k-button .k-select .k-i-close {
                opacity: 0;
            }

.mtag-input-telerik .k-multiselect.k-state-disabled {
    opacity: 1;
}

input.k-checkbox:disabled {
    color: #13688c;
}

.mtag-input input:focus, .mtag-input select:focus, .mtag-input textarea:focus, input.k-checkbox:focus, .mtag-input-telerik .k-multiselect.k-state-focused .k-multiselect-wrap {
    outline: inherit;
    border: 2px solid rgba(19, 104, 140, 1);
}

.mtag-input input.mtag-error, .mtag-input select.mtag-error, .mtag-input textarea.mtag-error {
    background-color: #db4240;
    color: #fff;
}

.mtag-input textarea {
    height: 50px;
}

.mtag-input input[type="date"] {
    font-size: small;
}

.mtag-input-telerik-container {
    padding: 2px;
    margin: 2px;
}

input[type="date"]::-webkit-calendar-picker-indicator {
    display: inline-block;
    margin: 0;
    float: right;
    padding: 0;
}

input[type="date"]::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0;
}

.warning-header {
    padding: 2px 5px;
    border-radius: 3px;
    border: 1px solid #855e00;
    margin: 0;
}

.page-title-div .page-title-header {
    margin: 5px 5px 10px 5px;
}

.underline {
    text-decoration: underline;
}

.accordion-form-container {
    border: 2px solid #004476;
    margin: 10px 0;
}

    .accordion-form-container .accordion-form-header {
        cursor: pointer;
        padding: 0px;
        background-color: #0072c6;
        margin: 0;
        color: #fff;
    }

    .accordion-form-container .accordion-form-details {
        margin: 10px;
    }

        .accordion-form-container .accordion-form-details.closed {
            display: none;
            overflow: hidden;
        }

.mtag-input input.invalid, .mtag-input input.invalid:disabled,
.mtag-input textarea.invalid, .mtag-input textarea.invalid:disabled,
.mtag-input select.invalid, .mtag-input select.invalid:disabled {
    border-color: #db4240;
}

.mtag-input-label-wrapper {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.mtag-table-cell-warning {
    background-color: #efacab;
}

.row-click-table .k-grid-content tr {
    cursor: pointer;
}

.table-bordered {
    border-collapse: collapse;
    width: 100%;
}

    .table-bordered tr th, .table-bordered tr td {
        border: 1px black solid;
        padding: 3px;
    }

.upload-container .k-button.k-upload-button {
    border-color: #0072c6;
    color: #fff;
    background-color: #0072c6;
    background-image: linear-gradient(rgba(0,68,198,0.2),rgba(0,68,198,0));
    box-shadow: inset 0 2px 2px 0 rgba(0,0,0,0.06)
}

.admin-search-parameters.closed {
    max-height: 0px;
}

.admin-search-parameters {
    transition: max-height .5s;
    max-height: 315px;
    overflow-y: auto;
    overflow-x: hidden;
}

.checkbox-container {
    display: flex;
    flex-flow: row wrap;
}

@media only screen and (max-width: 600px) {
    .main-menu-bar .k-menu:not(.k-context-menu) > .k-menu-item, .main-menu-bar .main-menu-text {
        font-size: medium;
    }

    .main-menu-bar .main-menu-text {
        font-size: medium;
    }

    .checkbox-container {
        flex-direction: column;
    }

    .container-fluid {
        margin-left: 1px;
        padding-left: 1px;
        margin-right: 1px;
        padding-right: 1px;
    }
}

div.mtag-input input.bg-green-highlight {
    background-color: #adf3bf;
}

.border-success {
    border: 5px solid #5ec232;
    padding: 5px;
}

.border-primary {
    border: 5px solid #0072c6;
    padding: 5px;
}

.border-error {
    border: 5px solid #d51923;
    padding: 5px;
}

table thead th.k-header .k-column-title {
    white-space: normal;
}